#pragma once
#include <gmock/gmock.h>

#include <eedb/Session.hpp>

namespace eedb {
class SessionMock final : public Session {
    // Session interface
  public:
    MOCK_METHOD0(db, eedb::db::PgConnection &());
    MOCK_CONST_METHOD0(enviroment, const Wt::WEnvironment &());
    MOCK_METHOD0(login, Wt::Auth::Login &());
};
}
